For the complete documentation index, see llms.txt. This page is also available as Markdown.

Audit

Audit logs and activity tracking.

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
searchstringOptionalExample: /events
timestamp.eqstring · date-timeOptionalExample: 2024-08-29T15:30:52.446Z
timestamp.ltestring · date-timeOptionalExample: 2024-08-29T15:30:52.446Z
timestamp.gtestring · date-timeOptionalExample: 2024-08-29T15:30:52.446Z
pagenumberOptionalExample: 1
ippnumberOptionalExample: 30
viewModestring · enumOptionalExample: ADVANCEDPossible values:
sortstringOptional

If not set, sort will be defaulted as timestamp (ASC)

Example: -timestamp
userIdstring[]OptionalExample: ["a02a9de6-53a9-4aff-802d-a4fd5d3f6803","295ebe85-d016-42e9-bb24-843552b6cdaf"]
Responses
200

Returns an AuditLogPaginatedCollectionDto

application/json
itemsstring[]Required
_totalnumberRequiredDeprecated
get/audit-logs
GET /apis/v2/audit-logs HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns an AuditLogPaginatedCollectionDto

{
  "items": [
    "text"
  ],
  "_pagination": {
    "page": 1,
    "ipp": 1,
    "count": 1,
    "total": 1
  },
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
auditLogItemIdstringRequiredExample: 3857358a-59e8-4944-8c48-3345c4375b43
Responses
200

Returns an AuditLogDto

application/json
idstringRead-onlyRequired
typestring · enumRead-onlyRequiredPossible values:
apiVersionstringRead-onlyRequired
subtypestring · enumRead-onlyRequiredPossible values:
processingTimeMsnumberRead-onlyRequired
timestampstring · date-timeRead-onlyRequired
notesstring · nullableRead-onlyRequired
_linksobjectRead-onlyRequired
get/audit-logs/{auditLogItemId}
GET /apis/v2/audit-logs/{auditLogItemId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns an AuditLogDto

{
  "id": "text",
  "type": "HTTP_REQ_RES",
  "apiVersion": "text",
  "subtype": "EVENT_SIGNUP",
  "user": {
    "id": "text",
    "isAnonymous": true
  },
  "processingTimeMs": 1,
  "tenant": {
    "id": "text"
  },
  "timestamp": "2026-01-01T00:00:00.000Z",
  "ip": {
    "address": "text",
    "country": "text",
    "latitude": "text",
    "longitude": "text",
    "continent": "text",
    "timezone": "text",
    "asn": {
      "id": 1,
      "organization": "text"
    }
  },
  "request": {
    "body": {},
    "headers": {},
    "method": "PUT",
    "route": {
      "path": "text",
      "params": {}
    },
    "url": "text",
    "sizeBytes": 1
  },
  "response": {
    "body": {},
    "headers": {},
    "status": 1,
    "sizeBytes": 1
  },
  "notes": "text",
  "tags": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}

Last updated

Was this helpful?